curl -X GET "https://api.affonso.io/v1/program/groups" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "efbf3f29-efb1-4837-8924-7322606858f3",
"name": "Default",
"description": "Default affiliate group",
"custom_website_url": null,
"is_default": true,
"created_at": "2024-01-10T08:00:00.000Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Premium Partners",
"description": "High-performing affiliates with higher commissions",
"custom_website_url": "https://partners.acme.com",
"is_default": false,
"created_at": "2024-03-01T12:00:00.000Z"
}
]
}
Affiliate Groups
List Groups
List all affiliate groups for your program
GET
/
v1
/
program
/
groups
curl -X GET "https://api.affonso.io/v1/program/groups" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "efbf3f29-efb1-4837-8924-7322606858f3",
"name": "Default",
"description": "Default affiliate group",
"custom_website_url": null,
"is_default": true,
"created_at": "2024-01-10T08:00:00.000Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Premium Partners",
"description": "High-performing affiliates with higher commissions",
"custom_website_url": "https://partners.acme.com",
"is_default": false,
"created_at": "2024-03-01T12:00:00.000Z"
}
]
}
List all affiliate groups for your program. Use the
expand parameter to include nested incentive and multi-level incentive data.
Query Parameters
Comma-separated list of fields to expand. Valid values:
incentives, multi_level_incentives.Response
Always
true for successful responsesArray of group objects.
Show Group Object Properties
Show Group Object Properties
Unique identifier for the group
Group name
Group description
Custom website URL for this group
Whether this is the default group for new affiliates
ISO 8601 timestamp
Included when
expand=incentives. Array of incentive objects.Show Incentive Properties
Show Incentive Properties
Group-incentive link ID
Incentive ID
Incentive name
Type (e.g.
commission)Commission amount
Whether amount is a percentage
Duration (e.g.
customer_lifetime, time_limited)Duration value (for time-limited)
Approval type (e.g.
automatic, hold_period)Hold period in days
Whether variable commission is enabled
Variable commission configuration
What the incentive applies to
Product IDs this incentive applies to
curl -X GET "https://api.affonso.io/v1/program/groups" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "efbf3f29-efb1-4837-8924-7322606858f3",
"name": "Default",
"description": "Default affiliate group",
"custom_website_url": null,
"is_default": true,
"created_at": "2024-01-10T08:00:00.000Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Premium Partners",
"description": "High-performing affiliates with higher commissions",
"custom_website_url": "https://partners.acme.com",
"is_default": false,
"created_at": "2024-03-01T12:00:00.000Z"
}
]
}
Was this page helpful?
⌘I
